=begin
#Pulp 3 API

#Fetch, Upload, Organize, and Distribute Software Packages

The version of the OpenAPI document: v3
Contact: pulp-list@redhat.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.2.3

=end

require 'cgi'

module PulpAnsibleClient
  class PulpAnsibleGalaxyApiV3CollectionsCertifiedApi
    attr_accessor :api_client

    def initialize(api_client = ApiClient.default)
      @api_client = api_client
    end
    # Set collection version certified status.
    # @param name [String] 
    # @param namespace [String] 
    # @param path [String] 
    # @param version [String] 
    # @param collection_version [CollectionVersion] 
    # @param [Hash] opts the optional parameters
    # @return [CollectionVersionResponse]
    def set_certified(name, namespace, path, version, collection_version, opts = {})
      data, _status_code, _headers = set_certified_with_http_info(name, namespace, path, version, collection_version, opts)
      data
    end

    # Set collection version certified status.
    # @param name [String] 
    # @param namespace [String] 
    # @param path [String] 
    # @param version [String] 
    # @param collection_version [CollectionVersion] 
    # @param [Hash] opts the optional parameters
    # @return [Array<(CollectionVersionResponse, Integer, Hash)>] CollectionVersionResponse data, response status code and response headers
    def set_certified_with_http_info(name, namespace, path, version, collection_version, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: PulpAnsibleGalaxyApiV3CollectionsCertifiedApi.set_certified ...'
      end
      # verify the required parameter 'name' is set
      if @api_client.config.client_side_validation && name.nil?
        fail ArgumentError, "Missing the required parameter 'name' when calling PulpAnsibleGalaxyApiV3CollectionsCertifiedApi.set_certified"
      end
      # verify the required parameter 'namespace' is set
      if @api_client.config.client_side_validation && namespace.nil?
        fail ArgumentError, "Missing the required parameter 'namespace' when calling PulpAnsibleGalaxyApiV3CollectionsCertifiedApi.set_certified"
      end
      # verify the required parameter 'path' is set
      if @api_client.config.client_side_validation && path.nil?
        fail ArgumentError, "Missing the required parameter 'path' when calling PulpAnsibleGalaxyApiV3CollectionsCertifiedApi.set_certified"
      end
      # verify the required parameter 'version' is set
      if @api_client.config.client_side_validation && version.nil?
        fail ArgumentError, "Missing the required parameter 'version' when calling PulpAnsibleGalaxyApiV3CollectionsCertifiedApi.set_certified"
      end
      # verify the required parameter 'collection_version' is set
      if @api_client.config.client_side_validation && collection_version.nil?
        fail ArgumentError, "Missing the required parameter 'collection_version' when calling PulpAnsibleGalaxyApiV3CollectionsCertifiedApi.set_certified"
      end
      # resource path
      local_var_path = '/pulp_ansible/galaxy/{path}/api/v3/collections/{namespace}/{name}/versions/{version}/certified/'.sub('{' + 'name' + '}', CGI.escape(name.to_s).gsub('%2F', '/')).sub('{' + 'namespace' + '}', CGI.escape(namespace.to_s).gsub('%2F', '/')).sub('{' + 'path' + '}', CGI.escape(path.to_s).gsub('%2F', '/')).sub('{' + 'version' + '}', CGI.escape(version.to_s).gsub('%2F', '/'))

      # query parameters
      query_params = opts[:query_params] || {}

      # header parameters
      header_params = opts[:header_params] || {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/json', 'application/x-www-form-urlencoded', 'multipart/form-data'])

      # form parameters
      form_params = opts[:form_params] || {}

      # http body (model)
      post_body = opts[:body] || @api_client.object_to_http_body(collection_version) 

      # return_type
      return_type = opts[:return_type] || 'CollectionVersionResponse' 

      # auth_names
      auth_names = opts[:auth_names] || []

      new_options = opts.merge(
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => return_type
      )

      data, status_code, headers = @api_client.call_api(:PUT, local_var_path, new_options)
      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: PulpAnsibleGalaxyApiV3CollectionsCertifiedApi#set_certified\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
  end
end
